commit:     cfaf2aad0f3fc6867c445bece6041adfcaa8377f
Author:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
AuthorDate: Sat Jan 23 01:22:04 2016 +0000
Commit:     Michael Sterrett <mr_bones_ <AT> gentoo <DOT> org>
CommitDate: Sat Jan 23 01:24:35 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cfaf2aad

games-action/garden: fix compile (bug #572648)

Package-Manager: portage-2.2.26

 games-action/garden/files/garden-1.0.9-gcc52.patch | 20 --------------------
 games-action/garden/garden-1.0.9.ebuild            |  7 +++++--
 2 files changed, 5 insertions(+), 22 deletions(-)

diff --git a/games-action/garden/files/garden-1.0.9-gcc52.patch 
b/games-action/garden/files/garden-1.0.9-gcc52.patch
deleted file mode 100644
index 60f9272..0000000
--- a/games-action/garden/files/garden-1.0.9-gcc52.patch
+++ /dev/null
@@ -1,20 +0,0 @@
---- src/stuff.c.old    2015-09-22 08:57:21.482794770 +0200
-+++ src/stuff.c        2015-09-22 08:58:22.567815095 +0200
-@@ -52,7 +52,7 @@
- float cos_table[ANGLE_1];
- float sin_table[ANGLE_1];
- 
--inline int xpart (int angle, int length);
-+extern inline int xpart (int angle, int length);
- 
- void init_trig (void)
- {
-@@ -72,7 +72,7 @@
-       return (cos_table[angle & 1023] * length);
- }
- 
--inline int ypart (int angle, int length)
-+extern inline int ypart (int angle, int length)
- {
-       return (sin_table[angle & 1023] * length);
- }

diff --git a/games-action/garden/garden-1.0.9.ebuild 
b/games-action/garden/garden-1.0.9.ebuild
index 63eb620..39f6086 100644
--- a/games-action/garden/garden-1.0.9.ebuild
+++ b/games-action/garden/garden-1.0.9.ebuild
@@ -20,8 +20,11 @@ RDEPEND="${DEPEND}"
 src_prepare() {
        epatch \
                "${FILESDIR}"/${P}-dash.patch \
-               "${FILESDIR}"/${P}-resources.patch \
-               "${FILESDIR}"/${P}-gcc52.patch
+               "${FILESDIR}"/${P}-resources.patch
+       # build with gcc52
+       sed -i \
+               -e 's/inline/extern inline/' \
+               src/stuff.h || die
        eautoreconf
 }
 

Reply via email to